PUT api/v1/users/{userId}/password
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| userId | integer |
Required |
Body Parameters
ChangePasswordAPI| Name | Description | Type | Additional information |
|---|---|---|---|
| CurrentPassword | string |
None. |
|
| NewPassword | string |
None. |
Request Formats
application/json, text/json, text/html
Sample:
{
"currentPassword": "sample string 1",
"newPassword": "sample string 2"
}
application/xml, text/xml
Sample:
<ChangePasswordAPI xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/VOL.API.Models"> <CurrentPassword>sample string 1</CurrentPassword> <NewPassword>sample string 2</NewPassword> </ChangePasswordAPI>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AppIdentityResult| Name | Description | Type | Additional information |
|---|---|---|---|
| Errors | Collection of string |
None. |
|
| Succeeded | boolean |
None. |
Response Formats
application/json, text/json, text/html
Sample:
Sample not available.